Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.pdf.TextPageCharInfo Class Reference

Inherits SystemIDisposable.

## Public Types
enum | TextCharFlag { TextCharFlag.e_Unknown = -1, TextCharFlag.e_Normal = 0, TextCharFlag.e_Generated = 1, TextCharFlag.e_UnUnicode = 2, TextCharFlag.e_Hyphen = 3, TextCharFlag.e_ComboWord = 4 }
| Enumeration for PDF textpage character flag. More...

## Public Member Functions
| TextPageCharInfo (Font font, TextPageCharInfo.TextCharFlag flag, float font_size, float origin_x, float origin_y, RectF char_box, RectF char_outbox, Matrix2D matrix)
| Constructor, with parameters. More...
| TextPageCharInfo ()
| Constructor.
| TextPageCharInfo (TextPageCharInfo char_info)
| Constructor, with another character information object. More...
void | Set (Font font, TextPageCharInfo.TextCharFlag flag, float font_size, float origin_x, float origin_y, RectF char_box, RectF char_outbox, Matrix2D matrix)
| Set value. More...

## Properties
RectF? | char_box`[get, set]`
| The glyph bounding box in page space.
RectF? | char_outbox`[get, set]`
| The typographic(display and printing) bounding box in page space.
TextPageCharInfo.TextCharFlag | flag`[get, set]`
| Flags to indicate which properties of textpage character flag are meaningful. More...
Font? | font`[get, set]`
| A font for character.
float | font_size`[get, set]`
| Font size for character. More...
Matrix2D? | matrix`[get, set]`
| The matrix of the character.
float | origin_x`[get, set]`
| The x-coordinate of the origin position.
float | origin_y`[get, set]`
| The y-coordinate of the origin position.

## Detailed Description

This class represents textpage character information.

## Member Enumeration Documentation

## ◆ TextCharFlag

enum foxit.pdf.TextPageCharInfo.TextCharFlag
| strong

Enumeration for PDF textpage character flag.

Values of this enumeration should be used alone.

Enumerator
e_Unknown | Character flag: Unknown.
e_Normal | Character flag: Normal.
e_Generated | Character flag: Generated.
e_UnUnicode | Character flag: UnUnicode.
e_Hyphen | Character flag: Hyphen.
e_ComboWord | Character flag: ComboWord.

## Constructor & Destructor Documentation

## ◆ TextPageCharInfo() [1/2]

foxit.pdf.TextPageCharInfo.TextPageCharInfo | ( | Font | font,
|  | TextPageCharInfo.TextCharFlag | flag,
|  | float | font_size,
|  | float | origin_x,
|  | float | origin_y,
|  | RectF | char_box,
|  | RectF | char_outbox,
|  | Matrix2D | matrix
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | font | A valid font object.
  [in] | flag | Flags to indicate which properties of textpage character flag are meaningful. Please refer to values starting from foxit.pdf.TextPageCharInfo.TextCharFlag.e_Normal and this should be one of these values except foxit.pdf.TextPageCharInfo.TextCharFlag.e_Unknown .
  [in] | font_size | Font size. This should be a positive value.
  [in] | origin_x | The x-coordinate of the origin position.
  [in] | origin_y | The y-coordinate of the origin position.
  [in] | char_box | The glyph bounding box in page space.
  [in] | char_outbox | The typographic (display and printing) bounding box in page space. The width is advance width, and the height is the sum of the ascent and descent.
  [in] | matrix | The matrix.

## ◆ TextPageCharInfo() [2/2]

foxit.pdf.TextPageCharInfo.TextPageCharInfo | ( | TextPageCharInfo | char_info | ) |
| inline

Constructor, with another character information object.

Parameters

  [in] | char_info | Another character information object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.TextPageCharInfo.Set | ( | Font | font,
|  | TextPageCharInfo.TextCharFlag | flag,
|  | float | font_size,
|  | float | origin_x,
|  | float | origin_y,
|  | RectF | char_box,
|  | RectF | char_outbox,
|  | Matrix2D | matrix
| ) |  |
| inline

Set value.

Parameters

  [in] | font | A valid font object.
  [in] | flag | Flags to indicate which properties of textpage character flag are meaningful. Please refer to values starting from foxit.pdf.TextPageCharInfo.TextCharFlag.e_Normal and this should be one of these values except foxit.pdf.TextPageCharInfo.TextCharFlag.e_Unknown .
  [in] | font_size | Font size. This should be a positive value.
  [in] | origin_x | The x-coordinate of the origin position.
  [in] | origin_y | The y-coordinate of the origin position.
  [in] | char_box | The glyph bounding box in page space.
  [in] | char_outbox | The typographic (display and printing) bounding box in page space. The width is advance width, and the height is the sum of the ascent and descent.
  [in] | matrix | The matrix.

Returns
  None.

## Property Documentation

## ◆ flag

TextPageCharInfo.TextCharFlag foxit.pdf.TextPageCharInfo.flag
| get set

Flags to indicate which properties of textpage character flag are meaningful.

Please refer to values starting from foxit.pdf.TextPageCharInfo.TextCharFlag.e_Normal and this should be one of these values.

## ◆ font_size

float foxit.pdf.TextPageCharInfo.font_size
| get set

Font size for character.

This value would a positive value.